
QGIS Application - Bug report #19902

Advanced Digitizing tool NOT aligned with measurement tool

2018-09-20 03:19 PM - Jan Rasmussen

Status: Closed

Priority: Normal

Assignee: Jan Rasmussen

Category: Digitising

Affected QGIS version:3.2.3 Regression?: No

Operating System: Win 10 Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 27726

Description

When drawing an exact 300 x 300 meters polygon with advanced digitizing tool and then do a measurement, with the measurement tool.

It displays the polygon as 300,092 meters x 300,092 meters.

IN QGIS 2.18 this does not occur.

I'm guessing this might have something to do with the earth not being flat in QGIS3. :-)

Could the transformation parameters be wrong in the AD-tool or M-tool?

Or could this be a mistake in one of the two tools?

Related issues:

Related to QGIS Application - Bug report # 11713: Measure tool ellipsoid defa... Closed 2014-11-21

Related to QGIS Application - Bug report # 10392: Ellipsoid for measurement k... Closed 2014-05-29

Associated revisions

Revision fbc22e20 - 2019-02-22 08:22 PM - Loïc BARTOLETTI

[feature] Add an option to cartesian measurement

Adds an option force Cartesian measurements to the measure distance/area dialogue

Fixes #19902

History

#1 - 2018-09-20 09:28 PM - Giovanni Manghi

- Priority changed from High to Normal

#2 - 2018-09-21 11:56 AM - Jan Rasmussen

- Assignee set to Jan Rasmussen

- Status changed from Open to Closed

Found out that the issues has something to do with #11713 and #10392. Hoping to add a good solution to this ticket soon

#3 - 2018-09-21 11:59 AM - Jan Rasmussen

when choosing "None / planemetric" in ellipsoid settings, it solves the problem. Keeping that setting as standard seems to be another issue
#4 - 2018-09-21 12:17 PM - Jürgen Fischer

- Related to Bug report #11713: Measure tool ellipsoid defaults to 'None/Planametric' regardless of previous ellipsoid selection added

#5 - 2018-09-21 12:17 PM - Jürgen Fischer

- Related to Bug report #10392: Ellipsoid for measurement keeps getting reset added

#6 - 2018-09-21 03:11 PM - Loïc BARTOLETTI

Measurement tool show only projected measures.

I will add an option to show also cartesian measures as in identification tool.

#7 - 2018-09-24 07:31 AM - Jan Rasmussen

Loïc BARTOLETTI wrote:

Measurement tool show only projected measures.

I will add an option to show also cartesian measures as in identification tool.

Okay, fantastic :-)
